
QGIS Application - Bug report #15001

Paste a style from a raster to a group of layers change the 

2016-06-11 11:50 AM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: Map Legend

Affected QGIS version:2.14.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22948

Description

Create a group with vector and raster layers

copy style from  a raster and apply it to the group

Though only raster layers should be updated, vector layers are also modified, corrupting the style you may have applied to them.

Associated revisions

Revision 3ece8aca - 2016-06-24 11:16 AM - Alexander Bruy

don't apply raster style to vectors (fix #15001)

Revision c913a7f3 - 2016-06-27 11:03 AM - Alexander Bruy

Merge pull request #3233 from alexbruy/paste-style-fix

don't apply raster style to vectors (fix #15001)

Revision e29eb57a - 2016-06-27 11:37 AM - Alexander Bruy

don't apply raster style to vectors (fix #15001)

(cherry picked from commit 3ece8aca11f242a71be7a8775ae1109028c8ad3f)

History

#1 - 2016-06-27 02:04 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"c913a7f3af3a0b467af586040917e082ab9ea821".
